Bug 1962882 - Version pod does not set priorityClassName
Summary: Version pod does not set priorityClassName
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: W. Trevor King
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-20 17:25 UTC by W. Trevor King
Modified: 2021-07-27 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 571 0 None open Bug 1962882: pkg/cvo/updatepayload: Set priorityClassName for the version Job 2021-05-20 17:26:54 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:56 UTC

Description W. Trevor King 2021-05-20 17:25:47 UTC
Which leads to failures like [1]:

  [sig-arch] Managed cluster should ensure platform components have system-* priority class associated [Suite:openshift/conformance/parallel]

complaining about the version pods.

[1]: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-ci-4.8-e2e-aws-upgrade-rollback/1395138552144072704

Comment 2 W. Trevor King 2021-05-23 04:40:55 UTC
No docs, because if we've ever had a cluster so resource-constrained that the version pod was evicted, I haven't heard about it, and you'd have lots of other alarm bells going off by that point anyway.

Comment 3 Johnny Liu 2021-05-24 06:23:56 UTC
Verified this bug with 4.8.0-0.nightly-2021-05-21-233425, and PASS.

Install a cluster using 4.8.0-0.nightly-2021-05-21-233425 (the source cluster includes the bug fix), trigger upgrade (or downgrade) to another payload, in my testing, the target payload is 4.8.0-0.nightly-2021-05-21-200728.

[root@preserve-jialiu-ansible ~]# oc get po -n openshift-cluster-version
NAME                                        READY   STATUS        RESTARTS   AGE
cluster-version-operator-6796748df6-w5js6   1/1     Terminating   0          14m
version--p7k2v-cpmhx                        0/1     Completed     0          7s

[root@preserve-jialiu-ansible ~]# oc get po -n openshift-cluster-version version--p7k2v-cpmhx -o yaml | grep -i priorityClassName
  priorityClassName: openshift-user-critical

Comment 6 errata-xmlrpc 2021-07-27 23:09:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.